<!-- This file was generated by pybib2web, version 0.7.dev0: https://gitlab.com/sosy-lab/software/pybib2web/ -->
<input type="checkbox" id="show-compact">
<label for="show-compact">Compact view</label>
<h2 id="publications">Funding by DFG-COOP</h2>
<nav class="publication-navigation">(<a href="../All/index.html">Show all</a> &ndash; <a href="../index.html">Index</a>)</nav>

<a href="../Category/conferences.html"><h3>Articles in conference or workshop proceedings</h3></a>

<ol class="list-publications" start="1">

<li class="bibentry" id="ICSE22">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><span class="firstname">Jan</span> <span class="lastname">Haltermann</span></span>,
    <span class="author"><a href="../Author/LEMBERGER-T.html"><span class="firstname">Thomas</span> <span class="lastname">Lemberger</span></a></span>, and
    <span class="author"><span class="firstname">Heike</span> <span class="lastname">Wehrheim</span></span>.</span>
    <span class="publication-title">Decomposing Software Verification into Off-the-Shelf Components: An Application to CEGAR.</span>
    <span class="howpublished">
      In <em class="booktitle">  Proceedings of the 44th International Conference on
        Software Engineering (ICSE 2022, Pittsburgh, PA, USA, May 8-20 (Virtual), May 22-27 (In-Person))</em>,
      <span class="publication-date">  <span class="year">2022</span></span>.
    </span>
    <span class="publisher">ACM.</span>
  </span>
  <a class="bibentry-link" href="#ICSE22"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>,
        <a class="keyword" href="../Keyword/INTERFACES-FOR-COMPONENT-BASED-DESIGN.html">Interfaces for Component-Based Design</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-COOP.html">DFG-COOP</a>
      </span>
    </span>
    <span class="link-list">
      <a class="pdf-link" href="https://www.sosy-lab.org/research/pub/2022-ICSE.Decomposing_Software_Verification_into_Off-the-Shelf-Components.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/component-based-cegar/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="artifact-list">
      <summary>Artifact(s)</summary>
      <div>
        <ol>
          <li class="artifact"><a href="https://doi.org/10.5281/zenodo.5301636">doi:10.5281/zenodo.5301636</a></li>
        </ol>
      </div>
    </details>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Techniques for software verification are typically realized as cohesive units of software with tightly coupled components.
        This makes it difficult to re-use components, and the potential for workload distribution is limited.
        Innovations in software verification might find their way into practice faster if provided in smaller,
        more specialized components.
        In this paper, we propose to strictly decompose software verification: 
        the verification task is split into independent subtasks, implemented by only loosely coupled components 
        communicating via clearly defined interfaces. 
        We apply this decomposition concept to one of the most frequently employed techniques
        in software verification:
        counterexample-guided abstraction refinement (CEGAR).
        CEGAR is a technique to iteratively compute
        an abstract model of the system.
        We develop a decomposition of CEGAR into independent components
        with clearly defined interfaces that are based on existing, standardized exchange formats.
        Its realization component-based CEGAR (C-CEGAR) concerns the three core tasks of CEGAR:
        abstract-model exploration, feasibility check, and precision refinement.
        We experimentally show that - despite the necessity of exchanging complex data via interfaces -
        the efficiency thereby only reduces by a small constant factor while the precision in solving verification tasks even increases. 
        We furthermore illustrate the advantages of C-CEGAR by experimenting with 
        different implementations of components, thereby further increasing the overall effectiveness
        and testing that substitution of components works well.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ICSE22,
        author = {Dirk Beyer and Jan Haltermann and Thomas Lemberger and Heike Wehrheim},
        title = {Decomposing Software Verification into Off-the-Shelf Components: An Application to {CEGAR}},
        booktitle = {Proceedings of the 44th International Conference on Software Engineering (ICSE~2022, Pittsburgh, PA, USA, May 8-20 (Virtual), May 22-27 (In-Person))},
        year = {2022},
        publisher = {ACM},
        url = {https://www.sosy-lab.org/research/component-based-cegar/},
        pdf = {https://www.sosy-lab.org/research/pub/2022-ICSE.Decomposing_Software_Verification_into_Off-the-Shelf-Components.pdf},
        abstract = {Techniques for software verification are typically realized as cohesive units of software with tightly coupled components. This makes it difficult to re-use components, and the potential for workload distribution is limited. Innovations in software verification might find their way into practice faster if provided in smaller, more specialized components. In this paper, we propose to strictly decompose software verification:  the verification task is split into independent subtasks, implemented by only loosely coupled components  communicating via clearly defined interfaces.  We apply this decomposition concept to one of the most frequently employed techniques in software verification: counterexample-guided abstraction refinement (CEGAR). CEGAR is a technique to iteratively compute an abstract model of the system. We develop a decomposition of CEGAR into independent components with clearly defined interfaces that are based on existing, standardized exchange formats. Its realization component-based CEGAR (C-CEGAR) concerns the three core tasks of CEGAR: abstract-model exploration, feasibility check, and precision refinement. We experimentally show that --- despite the necessity of exchanging complex data via interfaces --- the efficiency thereby only reduces by a small constant factor while the precision in solving verification tasks even increases.  We furthermore illustrate the advantages of C-CEGAR by experimenting with  different implementations of components, thereby further increasing the overall effectiveness and testing that substitution of components works well.},
        keyword = {CPAchecker,Software Model Checking,Interfaces for Component-Based Design},
        artifact = {10.5281/zenodo.5301636},
        doinone = {Unpublished: Last checked: 2022-02-19},
        funding = {DFG-COOP},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="FASE21">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>.</span>
    <span class="publication-title">Status Report on Software Testing: Test-Comp 2021.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">E.</span> <span class="lastname">Guerra</span></span> and
      <span class="editor"><span class="firstname">M.</span> <span class="lastname">Stoelinga</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 24th International Conference on
        Fundamental Approaches to Software Engineering
        (FASE 2021, Luxembourg, Luxembourg, March 27 - April 1)</em>,
      <span class="series">LNCS 12649</span>,
      <span class="pages">pages 341-357</span>,
      <span class="publication-date">  <span class="year">2021</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-71500-7_17" data-doi="10.1007/978-3-030-71500-7_17" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-71500-7_17</a>
  </span>
  <a class="bibentry-link" href="#FASE21"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-TESTING-TEST-COMP.html">Competition on Software Testing (Test-Comp)</a>,
        <a class="keyword" href="../Keyword/COMPETITION-ON-SOFTWARE-TESTING-TEST-COMP-REPORT.html">Competition on Software Testing (Test-Comp Report)</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-TESTING.html">Software Testing</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-COOP.html">DFG-COOP</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-71500-7_17" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-71500-7_17.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://test-comp.sosy-lab.org/2021/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        This report describes Test-Comp 2021, the 3rd edition of the Competition on Software Testing. The competition is a series of annual comparative evaluations of fully automatic software test generators for C programs. The competition has a strong focus on reproducibility of its results and its main goal is to provide an overview of the current state of the art in the area of automatic test-generation. The competition was based on 3 173 test-generation tasks for C programs. Each test-generation task consisted of a program and a test specification (error coverage, branch coverage). Test-Comp 2021 had 11 participating test generators from 6 countries.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{FASE21,
        author = {Dirk Beyer},
        title = {Status Report on Software Testing: {Test-Comp 2021}},
        booktitle = {Proceedings of the 24th International Conference on Fundamental Approaches to Software Engineering (FASE~2021, Luxembourg, Luxembourg, March 27 - April 1)},
        editor = {E.~Guerra and M.~Stoelinga},
        pages = {341-357},
        year = {2021},
        series = {LNCS~12649},
        publisher = {Springer},
        isbn = {978-3-030-71500-7},
        doi = {10.1007/978-3-030-71500-7_17},
        sha256 = {113b44c5be9f6d773ebd1a5cad91e8dc66f06d7af0b8c648c9dcea8d6bbc7e3d},
        url = {https://test-comp.sosy-lab.org/2021/},
        abstract = {This report describes Test-Comp 2021, the 3rd edition of the Competition on Software Testing. The competition is a series of annual comparative evaluations of fully automatic software test generators for C programs. The competition has a strong focus on reproducibility of its results and its main goal is to provide an overview of the current state of the art in the area of automatic test-generation. The competition was based on 3 173 test-generation tasks for C programs. Each test-generation task consisted of a program and a test specification (error coverage, branch coverage). Test-Comp 2021 had 11 participating test generators from 6 countries.},
        keyword = {Competition on Software Testing (Test-Comp),Competition on Software Testing (Test-Comp Report),Software Testing},
        funding = {DFG-COOP},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="ISoLA20a">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><span class="firstname">Heike</span> <span class="lastname">Wehrheim</span></span>.</span>
    <span class="publication-title">Verification Artifacts in Cooperative Verification: Survey and Unifying Component Framework.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">T.</span> <span class="lastname">Margaria</span></span> and
      <span class="editor"><span class="firstname">B.</span> <span class="lastname">Steffen</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 9th International Symposium on
        Leveraging Applications of Formal Methods, Verification, and Validation
        (ISoLA 2020, Rhodos, Greece, October 26-30), part 1</em>,
      <span class="series">LNCS 12476</span>,
      <span class="pages">pages 143-167</span>,
      <span class="publication-date">  <span class="year">2020</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-61362-4_8" data-doi="10.1007/978-3-030-61362-4_8" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-61362-4_8</a>
  </span>
  <a class="bibentry-link" href="#ISoLA20a"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-COOP.html">DFG-COOP</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-61362-4_8" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-61362-4_8.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="presentation-link" href="https://www.sosy-lab.org/research/prs/2021-10-29_ISOLA21_VerificationArtifacts_Dirk.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/presentation.gif">Presentation</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{ISoLA20a,
        author = {Dirk Beyer and Heike Wehrheim},
        title = {Verification Artifacts in Cooperative Verification: Survey and Unifying Component Framework},
        booktitle = {Proceedings of the 9th International Symposium on Leveraging Applications of Formal Methods, Verification, and Validation (ISoLA~2020, Rhodos, Greece, October 26-30), part~1},
        editor = {T.~Margaria and B.~Steffen},
        pages = {143-167},
        year = {2020},
        series = {LNCS~12476},
        publisher = {Springer},
        doi = {10.1007/978-3-030-61362-4_8},
        sha256 = {86dbfb5ee4875582566bdb5d44750cc935614c11c09627295cc3ff123115a75b},
        url = {},
        presentation = {https://www.sosy-lab.org/research/prs/2021-10-29_ISOLA21_VerificationArtifacts_Dirk.pdf},
        abstract = {},
        keyword = {CPAchecker,Software Model Checking},
        funding = {DFG-COOP},
        fundingid = {418257054},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SEFM20b">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span>,
    <span class="author"><a href="../Author/JAKOBS-M.html"><span class="firstname">Marie-Christine</span> <span class="lastname">Jakobs</span></a></span>, and
    <span class="author"><a href="../Author/LEMBERGER-T.html"><span class="firstname">Thomas</span> <span class="lastname">Lemberger</span></a></span>.</span>
    <span class="publication-title">Difference Verification with Conditions.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">F. d.</span> <span class="lastname">Boer</span></span> and
      <span class="editor"><span class="firstname">A.</span> <span class="lastname">Cerone</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 18th International Conference on
        Software Engineering and Formal Methods (SEFM 2020, Virtual, Netherlands, September 14-18)</em>,
      <span class="series">LNCS 12310</span>,
      <span class="pages">pages 133-154</span>,
      <span class="publication-date">  <span class="year">2020</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-58768-0_8" data-doi="10.1007/978-3-030-58768-0_8" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-58768-0_8</a>
  </span>
  <a class="bibentry-link" href="#SEFM20b"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-COOP.html">DFG-COOP</a>,
        <a class="funding" href="../Funding/DFG-CONVEY.html">DFG-CONVEY</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-58768-0_8" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-58768-0_8.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="presentation-link" href="https://www.sosy-lab.org/research/prs/2020-09-17_SEFM20_DifferenceVerificationWithConditions_Thomas.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/presentation.gif">Presentation</a>
      <a class="video-link" href="https://youtu.be/dG02602c9oo" title="Link to video presentation related to paper"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/video.gif">Video</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/difference/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="abstract">
      <summary>Abstract</summary>
      <div>
        Modern software-verification tools need to support development processes that involve frequent changes.
        Existing approaches for incremental verification hard-code specific verification techniques.
        Some of the approaches must be tightly intertwined with the development process.
        To solve this open problem, we present the concept of difference verification with conditions.
        Difference verification with conditions is independent from any specific verification technique
        and can be integrated in software projects at any time.
        It first applies a change analysis that detects which parts of a software were changed
        between revisions and encodes that information in a condition.
        Based on this condition, an off-the-shelf verifier is used to verify only those parts
        of the software that are influenced by the changes.
        As a proof of concept, we propose a simple, syntax-based change analysis
        and use difference verification with conditions with three off-the-shelf verifiers.
        An extensive evaluation shows the competitiveness of difference verification with conditions.
      </div>
    </details>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SEFM20b,
        author = {Dirk Beyer and Marie-Christine Jakobs and Thomas Lemberger},
        title = {Difference Verification with Conditions},
        booktitle = {Proceedings of the 18th International Conference on Software Engineering and Formal Methods (SEFM~2020, Virtual, Netherlands, September 14-18)},
        editor = {F.~d.~Boer and A.~Cerone},
        pages = {133--154},
        year = {2020},
        series = {LNCS~12310},
        publisher = {Springer},
        doi = {10.1007/978-3-030-58768-0_8},
        sha256 = {8e5219da9a998b26f59013c809fbb1db6f92e3f08125fa1bfaacafcfafafef7f},
        url = {https://www.sosy-lab.org/research/difference/},
        presentation = {https://www.sosy-lab.org/research/prs/2020-09-17_SEFM20_DifferenceVerificationWithConditions_Thomas.pdf},
        abstract = {Modern software-verification tools need to support development processes that involve frequent changes. Existing approaches for incremental verification hard-code specific verification techniques. Some of the approaches must be tightly intertwined with the development process. To solve this open problem, we present the concept of difference verification with conditions. Difference verification with conditions is independent from any specific verification technique and can be integrated in software projects at any time. It first applies a change analysis that detects which parts of a software were changed between revisions and encodes that information in a condition. Based on this condition, an off-the-shelf verifier is used to verify only those parts of the software that are influenced by the changes. As a proof of concept, we propose a simple, syntax-based change analysis and use difference verification with conditions with three off-the-shelf verifiers. An extensive evaluation shows the competitiveness of difference verification with conditions.},
        keyword = {CPAchecker,Software Model Checking},
        funding = {DFG-COOP,DFG-CONVEY},
        isbnnote = {},
        video = {https://youtu.be/dG02602c9oo},
        }
        
      </div>
    </details>
  </span>
</li>

<li class="bibentry" id="SEFM20a">
  <span class="main-info">
    <span class="author-list"><span class="author"><a href="../Author/BEYER-D.html"><span class="firstname">Dirk</span> <span class="lastname">Beyer</span></a></span> and
    <span class="author"><a href="../Author/JAKOBS-M.html"><span class="firstname">Marie-Christine</span> <span class="lastname">Jakobs</span></a></span>.</span>
    <span class="publication-title">FRed: Conditional Model Checking via Reducers and Folders.</span>
    <span class="howpublished">
      In <span class="editor-list"><span class="editor"><span class="firstname">F. d.</span> <span class="lastname">Boer</span></span> and
      <span class="editor"><span class="firstname">A.</span> <span class="lastname">Cerone</span></span>, editors</span>,
      <em class="booktitle">  Proceedings of the 18th International Conference on
        Software Engineering and Formal Methods (SEFM 2020, Virtual, Netherlands, September 14-18)</em>,
      <span class="series">LNCS 12310</span>,
      <span class="pages">pages 113-132</span>,
      <span class="publication-date">  <span class="year">2020</span></span>.
    </span>
    <span class="publisher">Springer.</span>
    <a class="doi" href="https://doi.org/10.1007/978-3-030-58768-0_7" data-doi="10.1007/978-3-030-58768-0_7" title="The digital object identifier permanently identifies a digital article or document.">doi:10.1007/978-3-030-58768-0_7</a>
  </span>
  <a class="bibentry-link" href="#SEFM20a"><img height="12px" width="12px" src="https://www.sosy-lab.org/images/transparent.gif" alt="Link to this entry"></a>
  <span class="additional-info">
    <span class="inline-info">
      <span class="keyword-list">Keyword(s):
        <a class="keyword" href="../Keyword/CPACHECKER.html">CPAchecker</a>,
        <a class="keyword" href="../Keyword/SOFTWARE-MODEL-CHECKING.html">Software Model Checking</a>
      </span>
      <span class="funding-list">Funding:
        <a class="funding" href="../Funding/DFG-COOP.html">DFG-COOP</a>
      </span>
    </span>
    <span class="link-list">
      <a class="publishers-version-link doi-link" href="https://doi.org/10.1007/978-3-030-58768-0_7" title="Link to official version of paper (may be a landing page with more information)"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/doi.svg">Publisher's Version</a>
      <a class="pdf-link" href="https://link.springer.com/content/pdf/10.1007/978-3-030-58768-0_7.pdf"><img alt="" height="17px" width="17px" src="https://www.sosy-lab.org/research/pub/Icons/pdf.gif">PDF</a>
      <a class="material-link" href="https://www.sosy-lab.org/research/fred/"><img alt="" height="15px" width="15px" src="https://www.sosy-lab.org/research/pub/Icons/www.gif">Supplement</a>
    </span>
    <details  class="bibtex">
      <summary>BibTeX Entry</summary>
      <div>
        @inproceedings{SEFM20a,
        author = {Dirk Beyer and Marie-Christine Jakobs},
        title = {{{\sc FRed}}: {C}onditional Model Checking via Reducers and Folders},
        booktitle = {Proceedings of the 18th International Conference on Software Engineering and Formal Methods (SEFM~2020, Virtual, Netherlands, September 14-18)},
        editor = {F.~d.~Boer and A.~Cerone},
        pages = {113--132},
        year = {2020},
        series = {LNCS~12310},
        publisher = {Springer},
        doi = {10.1007/978-3-030-58768-0_7},
        sha256 = {0ce35cbde24d7a9de0513b89f23a81147bf4f8d5880effd57742c7f195e0eeec},
        url = {https://www.sosy-lab.org/research/fred/},
        abstract = {},
        keyword = {CPAchecker,Software Model Checking},
        funding = {DFG-COOP},
        isbnnote = {},
        }
        
      </div>
    </details>
  </span>
</li>

</ol>
 <section id="disclaimer"> <h4>Disclaimer:</h4> <p class="disclaimer"> This material is presented to ensure timely dissemination of scholarly and technical work. Copyright and all rights therein are retained by authors or by other copyright holders. All person copying this information are expected to adhere to the terms and constraints invoked by each author's copyright. In most cases, these works may not be reposted without the explicit permission of the copyright holder. </p> </section> <footer id="generator">This file was generated by <a href="https://gitlab.com/sosy-lab/software/pybib2web/">pybib2web</a>, version 0.7.dev0</footer>